ch.qos.logback.classic.pattern

## Class TargetLengthBasedClassNameAbbreviator

- java.lang.Object
- - ch.qos.logback.classic.pattern.TargetLengthBasedClassNameAbbreviator

All Implemented Interfaces:
  Abbreviator

    public class TargetLengthBasedClassNameAbbreviator
    extends Object
    implements Abbreviator

### Constructor Summary

Constructors
Constructor and Description
`TargetLengthBasedClassNameAbbreviator(int targetLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `abbreviate(String fqClassName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TargetLengthBasedClassNameAbbreviator

    public TargetLengthBasedClassNameAbbreviator(int targetLength)

### Method Detail

#### abbreviate

    public String abbreviate(String fqClassName)

Specified by:
  `abbreviate` in interface `Abbreviator`